import { jsx } from "react/jsx-runtime";
import { TokenBEN as TokenBEN$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenBEN = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "BEN", "data-name": "TokenBEN", ...props, children: /* @__PURE__ */ jsx(TokenBEN$1, { variant }) });
  }
);
TokenBEN.displayName = "TokenBEN";
Object.assign(TokenBEN, { isGdsIcon: true });
export {
  TokenBEN
};
